﻿# Matlab code to generate Artifical fractal riverbeds

by Anzy Lee

Ph.d Candidate

Lyles School of of Civil Engineering  
Purdue University  

**1 Title of the dataset and description**

1) fractal_riverbed_4TU.m

A Matlab script code to generate artificial fractal riverbeds with specified variables (e.g. Hurst Exponent, domain length, number of points, mininum wavenumber, roll-off wavenumber, ...)

2) artificial_surf1d_phaseC_4TU.m

A Matlab function code to generate a power spectrum density and phase shift of a fractal riverbed. Input variables are Cq0 (maximum spectral density), H (Hurst Exponent), Lx (domain length), q0 (minimum wavenumber), qr (roll-off wavenumber1), qS (roll-off wavenumber2), qC (maximum wavenumber).

3) PSD_4TU.mat

Power spectra of measured data (Martin, R. L., and D. J. Jerolmack (2013), Origin of hysteresis in bed form response to unsteady flows, Water Resour. Res., 49, 1314–1333,
doi:10.1002/wrcr.20093.): qx (wavelength, 1/m), Cq (spectral density, m^3), phase

**2 Method description**

The self-similarity of fractals is indicated by the power-law relationship between their power spectral density and wave number, e.g. |X(k)|=Ck^(-b) where X(k) is the Fourier transform of surface elevation at wave number k and C and b are positive constants. b is often expressed as a Hurst exponent, H: b = 2H+1.


